{
  lib,
  pkgs,
  ...
}:
let
  inherit (lib.marleyos) enabled;
in
{
  home.keyboard.options = [ "apple:alupckeys" ];

  # FIXME: Remove once we are on NixOS
  targets.genericLinux = enabled;

  # FIXME: Remove this once nvim is set up
  home.packages = with pkgs; [
    nixfmt-rfc-style
    nil
    statix
    manix
  ];

  marleyos = {
    isDesktop = true;

    appearance = {
      base = enabled;
      gtk = enabled;
      qt = enabled;
    };
    # TODO: Seperate out into graphical/shell/tui?
    programs = {
      amfora = enabled;
      bat = enabled;
      btop = enabled;
      cava = enabled;
      cheat = enabled;
      curl = enabled;
      eza = enabled;
      figlet = enabled;
      fish = enabled;
      fzf = enabled;
      gh = enabled;
      git = enabled;
      glow = enabled;
      gpg = enabled;
      hyfetch = enabled;
      journalctl = enabled;
      just = enabled;
      lazygit = enabled;
      less = enabled;
      man = enabled;
      ncmpcpp = enabled;
      neo = enabled;
      rbw = enabled;
      ripgrep = enabled;
      # TODO: is this xorg only? bundle under xorg if so
      rofi = enabled;
      ssh = enabled;
      starship = enabled;
      systemctl = enabled;
      tmux = enabled;
      wezterm = enabled;
      wget = enabled;
      zathura = enabled;
      zoxide = enabled;
    };
    services = {
      clipboard = enabled;
      # TODO: bundle this under xorg
      dunst = enabled;
      # TODO: bundle this with xorg
      polybar = enabled;
      syncthing = enabled;
    };
    xorg = {
      xsession = enabled;
    };
  };

  home.stateVersion = "24.05";
}
